"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.DEFAULT_SHADOW_OFFSET_SCALE = exports.DEFAULT_SHADOW_COLOR = exports.DEFAULT_SHADOW_BLUR = exports.DEFAULT_REFLECTED_LIGHT_OFFSET_SCALE = exports.DEFAULT_REFLECTED_LIGHT_COLOR = exports.DEFAULT_REFLECTED_LIGHT_BLUR = exports.DEFAULT_BACKGROUND_COLOR = exports.COMMON_STYLES = void 0;
var _reactNative = require("react-native");
// These two scales are opposite each other to create a "reflected light" effect.
const DEFAULT_SHADOW_OFFSET_SCALE = exports.DEFAULT_SHADOW_OFFSET_SCALE = 2;
const DEFAULT_REFLECTED_LIGHT_OFFSET_SCALE = exports.DEFAULT_REFLECTED_LIGHT_OFFSET_SCALE = 2;

/**
 * Default values used when a particular prop isn't provided:
 *   - DEFAULT_BACKGROUND_COLOR: typical white background
 *   - DEFAULT_REFLECTED_LIGHT_COLOR: a semi-transparent white for "reflected light" effect
 *   - DEFAULT_SHADOW_COLOR: a dark, semi-transparent color for shadows
 */
const DEFAULT_BACKGROUND_COLOR = exports.DEFAULT_BACKGROUND_COLOR = '#FFFFFF';
const DEFAULT_REFLECTED_LIGHT_COLOR = exports.DEFAULT_REFLECTED_LIGHT_COLOR = '#EEE9E92D';
const DEFAULT_SHADOW_COLOR = exports.DEFAULT_SHADOW_COLOR = '#2F2F2FBC';
// const TEST_BACKGROUND_COLOR = '#FFFEED' as const;

/**
 * Default shadow blur radius for the main shadow and reflected light.
 * These values control how soft or diffuse the shadow/highlight appears.
 * Higher values create larger, softer shadows.
 * */
const DEFAULT_SHADOW_BLUR = exports.DEFAULT_SHADOW_BLUR = 3;
const DEFAULT_REFLECTED_LIGHT_BLUR = exports.DEFAULT_REFLECTED_LIGHT_BLUR = 3;
const COMMON_STYLES = exports.COMMON_STYLES = _reactNative.StyleSheet.create({
  canvasWrapper: {
    backgroundColor: 'transparent'
  },
  canvas: {
    position: 'absolute',
    left: 0,
    top: 0,
    backgroundColor: 'transparent'
  }
});
//# sourceMappingURL=constants.js.map