import type { ShadowPressableProps } from '../types';
/**
 * ShadowPressable
 * ----------------
 * A pressable component that casts a shadow when pressed.
 * The shadow effect is created using the `@shopify/react-native-skia` library.
 *
 * @param initialDepth - The initial depth of the shadow
 * @param shadowSpace - The space between the shadow and the component
 * @param duration - The duration of the shadow animation
 * @param damping - The damping factor of the shadow animation
 * @param isReflectedLightEnabled - Whether the reflected light effect is enabled
 */
export declare const ShadowPressable: ({ width: _width, height: _height, initialDepth, shadowSpace, shadowBlur, shadowColor, reflectedLightColor, duration, damping, isReflectedLightEnabled, ...props }: ShadowPressableProps) => import("react/jsx-runtime").JSX.Element;
//# sourceMappingURL=ShadowPressable.d.ts.map