declare const DEFAULT_SHADOW_OFFSET_SCALE: 2;
declare const DEFAULT_REFLECTED_LIGHT_OFFSET_SCALE: 2;
/**
 * Default values used when a particular prop isn't provided:
 *   - DEFAULT_BACKGROUND_COLOR: typical white background
 *   - DEFAULT_REFLECTED_LIGHT_COLOR: a semi-transparent white for "reflected light" effect
 *   - DEFAULT_SHADOW_COLOR: a dark, semi-transparent color for shadows
 */
declare const DEFAULT_BACKGROUND_COLOR: "#FFFFFF";
declare const DEFAULT_REFLECTED_LIGHT_COLOR: "#EEE9E92D";
declare const DEFAULT_SHADOW_COLOR: "#2F2F2FBC";
/**
 * Default shadow blur radius for the main shadow and reflected light.
 * These values control how soft or diffuse the shadow/highlight appears.
 * Higher values create larger, softer shadows.
 * */
declare const DEFAULT_SHADOW_BLUR: 3;
declare const DEFAULT_REFLECTED_LIGHT_BLUR: 3;
declare const COMMON_STYLES: {
    readonly canvasWrapper: {
        readonly backgroundColor: "transparent";
    };
    readonly canvas: {
        readonly position: "absolute";
        readonly left: 0;
        readonly top: 0;
        readonly backgroundColor: "transparent";
    };
};
export { DEFAULT_BACKGROUND_COLOR, DEFAULT_SHADOW_OFFSET_SCALE, DEFAULT_REFLECTED_LIGHT_OFFSET_SCALE, DEFAULT_SHADOW_BLUR, DEFAULT_REFLECTED_LIGHT_BLUR, DEFAULT_SHADOW_COLOR, DEFAULT_REFLECTED_LIGHT_COLOR, COMMON_STYLES, };
//# sourceMappingURL=constants.d.ts.map