import type { ShadowToggleProps } from '../types';
/**
 * ShadowToggle
 * ----------------
 * A toggle component that casts a shadow when active.
 * The shadow effect is created using the `@shopify/react-native-skia` library.
 *
 * @param initialDepth - The initial depth of the shadow
 * @param shadowSpace - The space between the shadow and the component
 * @param isActive - Whether the shadow is active
 * @param activeColor - The color of the shadow when active
 */
export declare const ShadowToggle: ({ width: _width, height: _height, initialDepth, shadowSpace, shadowBlur, shadowColor, reflectedLightColor, duration, damping, isReflectedLightEnabled, isActive, activeColor, ...props }: ShadowToggleProps) => import("react/jsx-runtime").JSX.Element;
//# sourceMappingURL=ShadowToggle.d.ts.map