import type { InnerShadowProps, LinearInnerShadowProps } from '../types';
/**
 * ShadowView: for a basic “solid” background shadow
 * (no gradient props).
 */
export declare function ShadowView(props: InnerShadowProps): import("react/jsx-runtime").JSX.Element;
/**
 * LinearShadowView: for a linear gradient background shadow
 * (requires e.g. colors, from, to).
 */
export declare function LinearShadowView(props: LinearInnerShadowProps): import("react/jsx-runtime").JSX.Element;
/**
 * Publicly exported components:
 * - ShadowView: for standard solid shadows.
 * - LinearShadowView: for gradient-based shadows.
 *
 * Under the hood, both use the same "UnifiedShadowView".
 */
//# sourceMappingURL=ShadowView.d.ts.map